---
title: AudioContext.outputLatency
slug: Web/API/AudioContext/outputLatency
tags:
  - API
  - Audio
  - AudioContext
  - Property
  - Reference
  - Web Audio API
  - outputLatency
---
<p>{{APIRef("Web Audio API")}}</p>

<p class="summary">The <strong><code>outputLatency</code></strong> read-only property of the {{domxref("AudioContext")}} Interface provides an estimation of the output latency of the current audio context.</p>

<p>This is the time, in seconds, between the browser passing an audio buffer out of an audio graph over to the host system's audio subsystem to play, and the time at which the first sample in the buffer is actually processed by the audio output device.</p>

<p>It varies depending on the platform and the available hardware.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>outputLatency</em> = <em>audioCtx</em>.outputLatency;
</pre>

<h3 id="Value">Value</h3>

<p>A double representing the output latency in seconds.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">const audioCtx = new AudioContext();
console.log(audioCtx.outputLatency);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audiocontext-outputlatency', 'outputLatency')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioContext.outputLatency")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a></li>
</ul>
